Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface Stroke

    @XmlElement(value="Stroke")
    public interface Stroke

Contains all the information needed to draw styled lines. Stroke objects are contained by `LineSymbol`s and `PolygonSymbol`s. There are three basic types of strokes: solid-color, `GraphicFill` (stipple), and repeated linear `GraphicStroke`. A repeated linear graphic is plotted linearly and has its graphic symbol bent around the curves of the line string, and a graphic fill has the pixels of the line rendered with a repeating area-fill pattern. If neither a `GraphicFill` nor `GraphicStroke` element is given, then the line symbolizer will render a solid color.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Expression` | `getColor()` Indicates the color of the line if it is to be solid-color filled.
`Expression` | `getDashArray()` If present, indicates the dash pattern as a space-separated sequence of floating point numbers.
`Expression` | `getDashOffset()` Indicates the distance offset into the dash array to begin drawing.
`Graphic` | `getGraphicFill()` If non-null, indicates that line should be drawn by tiling the (thin) area of the line with the given graphic.
`Graphic` | `getGraphicStroke()` If non-null, indicates that lines should be drawn by repeatedly plotting the given graphic along the path of the lines, rotating it according to the orientation of the line.
`Expression` | `getLineCap()` Indicates how the beginning and ending segments of a line string will be terminated.
`Expression` | `getLineJoin()` Indicates how the various segments of a (thick) line string should be joined.
`Expression` | `getOpacity()` Indicates the level of translucency as a floating point number whose value is between 0.0 and 1.0 (inclusive).
`Expression` | `getWidth()` Gives the absolute width in pixels of the line stroke as a floating point number.
`void` | `setColor(Expression expression)` Sets the color of the line if it is to be solid-color filled.
`void` | `setDashArray(Expression expression)` Set the dash pattern as a space-separated sequence of floating point numbers.
`void` | `setDashOffset(Expression expression)` Sets the distance offset into the dash array to begin drawing.
`void` | `setGraphicFill(Graphic graphicFill)` Sets the line that should be drawn by tiling the (thin) area of the line with the given graphic.
`void` | `setGraphicStroke(Graphic graphicStroke)` Sets the lines that should be drawn by repeatedly plotting the given graphic along the path of the lines, rotating it according to the orientation of the line.
`void` | `setLineCap(Expression expression)` Sets how the beginning and ending segments of a line string will be terminated.
`void` | `setLineJoin(Expression expression)` Sets how the various segments of a (thick) line string should be joined.
`void` | `setOpacity(Expression expression)` Sets the level of translucency as a floating point number whose value is between 0.0 and 1.0 (inclusive).
`void` | `setWidth(Expression expression)` Sets the absolute width in pixels of the line stroke as a floating point number.

Method Detail

### getGraphicFill

    @XmlElement(value="GraphicFill")
    Graphic getGraphicFill()

  If non-null, indicates that line should be drawn by tiling the (thin) area of the line with the given graphic. Between `getGraphicFill()` and `getGraphicStroke()`, only one may return a non-null value since a `Stroke` can have a `GraphicFill` or a `GraphicStroke`, but not both.

### setGraphicFill

    @XmlElement(value="GraphicFill")
    void setGraphicFill(Graphic graphicFill)

  Sets the line that should be drawn by tiling the (thin) area of the line with the given graphic. See `getGraphicFill()` for details.

### getGraphicStroke

    @XmlElement(value="GraphicStroke")
    Graphic getGraphicStroke()

  If non-null, indicates that lines should be drawn by repeatedly plotting the given graphic along the path of the lines, rotating it according to the orientation of the line. Between `getGraphicFill()` and `getGraphicStroke`, only one may return a non-null value since a `Stroke` can have a `GraphicFill` or a `GraphicStroke`, but not both.

### setGraphicStroke

    @XmlElement(value="GraphicStroke")
    void setGraphicStroke(Graphic graphicStroke)

  Sets the lines that should be drawn by repeatedly plotting the given graphic along the path of the lines, rotating it according to the orientation of the line. See `getGraphicStroke()` for details.

### getColor

    @XmlElement(value="stroke")
    Expression getColor()

  Indicates the color of the line if it is to be solid-color filled. The format of color values is `"#rrggbb"` where `rr`, `gg`, and `bb`, are red, green, and blue intensity values, respectively, represented as two digit hexadecimal integers. The hexadecimal digits between `A` and `F` may be in either uppercase or lowercase. If null, the default color is `"#000000"`, black.

### setColor

    @XmlElement(value="stroke")
    void setColor(Expression expression)

  Sets the color of the line if it is to be solid-color filled. See `getColor()` for details.

### getOpacity

    @XmlElement(value="stroke-opacity")
    Expression getOpacity()

  Indicates the level of translucency as a floating point number whose value is between 0.0 and 1.0 (inclusive). A value of zero means completely transparent. A value of 1.0 means completely opaque. If null, the default value is 1.0, totally opaque.

### setOpacity

    @XmlElement(value="stroke-opacity")
    void setOpacity(Expression expression)

  Sets the level of translucency as a floating point number whose value is between 0.0 and 1.0 (inclusive). See `getOpacity()` for details.

### getWidth

    @XmlElement(value="stroke-width")
    Expression getWidth()

  Gives the absolute width in pixels of the line stroke as a floating point number. Fractional numbers are allowed (with system-dependent interpretation), but negative numbers are not. If null, the default value is 1.0.

### setWidth

    @XmlElement(value="stroke-width")
    void setWidth(Expression expression)

  Sets the absolute width in pixels of the line stroke as a floating point number. See `getWidth()` for details.

### getLineJoin

    @XmlElement(value="stroke-linejoin")
    Expression getLineJoin()

  Indicates how the various segments of a (thick) line string should be joined. Valid values are "miter", "round", and "bevel". If null, the default value is system dependent (probably whichever one is fastest to render).

### setLineJoin

    @XmlElement(value="stroke-linejoin")
    void setLineJoin(Expression expression)

  Sets how the various segments of a (thick) line string should be joined. Valid values are "miter", "round", and "bevel". See `getLineJoin()` for details.

### getLineCap

    @XmlElement(value="stroke-linecap")
    Expression getLineCap()

  Indicates how the beginning and ending segments of a line string will be terminated. Valid values are "butt", "round", and "square". If null, the default value is system dependent.

### setLineCap

    @XmlElement(value="stroke-linecap")
    void setLineCap(Expression expression)

  Sets how the beginning and ending segments of a line string will be terminated. Valid values are "butt", "round", and "square". See `getLineCap()` for details.

### getDashArray

    @XmlElement(value="stroke-dasharray")
    Expression getDashArray()

  If present, indicates the dash pattern as a space-separated sequence of floating point numbers. The first number represents the length of the first dash to draw. The second number represents the length of space to leave. This continues to the end of the list then repeats. If the list contains an odd number of values, then before rendering the list is enlarged by repeating the last value. If this parameter is omitted, lines will be drawn as solid and unbroken.

### setDashArray

    @XmlElement(value="stroke-dasharray")
    void setDashArray(Expression expression)

  Set the dash pattern as a space-separated sequence of floating point numbers. See `getDashArray()` for details.

### getDashOffset

    @XmlElement(value="stroke-dashoffset")
    Expression getDashOffset()

  Indicates the distance offset into the dash array to begin drawing. If null, the default value is zero.

### setDashOffset

    @XmlElement(value="stroke-dashoffset")
    void setDashOffset(Expression expression)

  Sets the distance offset into the dash array to begin drawing. See `getDashOffset()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.